Page MenuHomePhabricator

merge: ensure that we always commit the mergestate
ClosedPublic

Authored by ryanmce on Oct 4 2017, 9:55 AM.

Details

Summary

In future patches, we may halt the merge process based on configuration or
user requests by raising exceptions. We need to ensure that the mergestate
is unconditionally committed even when such an exception is raised.

Depends on D930.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ryanmce created this revision.Oct 4 2017, 9:55 AM
mbthomas accepted this revision.Oct 6 2017, 5:08 AM
ryanmce updated this revision to Diff 2500.Oct 6 2017, 9:51 AM
quark set the repository for this revision to rHG Mercurial.Oct 7 2017, 1:14 PM
durin42 accepted this revision.Oct 14 2017, 12:29 AM
This revision is now accepted and ready to land.Oct 14 2017, 12:29 AM
This revision was automatically updated to reflect the committed changes.